Skip navigation

Aperture cannot be opened because of a problem.

2057 Views 15 Replies Latest reply: Apr 4, 2013 5:01 AM by RPTB1 RSS
1 2 Previous Next
SteMac Calculating status...
Currently Being Moderated
Oct 29, 2012 3:07 PM

I bought Aperture when running OS X Lion and ever since I upgraded to Mountain Lion, I've always received this error when trying to launch the app. The error in its entirity is:

 

Aperture cannot be opened because of a problem.

 

Check with the developer to make sure Aperture works with this version of OS X. You may need to reinstall the application. Be sure to install available updates for the application and OS X.

 

This report will be sent to Apple automatically.

 

Does anyone have any ideas as to how I can resolve this issue?

  • Tony Gay Level 4 Level 4 (1,625 points)
    Currently Being Moderated
    Oct 29, 2012 11:50 PM (in response to SteMac)

    First step, try following the steps here

     

    http://support.apple.com/kb/HT3805

     

    let us kow how you go.

     

    Tony

  • léonie Level 8 Level 8 (46,510 points)
    Currently Being Moderated
    Oct 30, 2012 12:12 AM (in response to SteMac)

    As Tony says, the Trouble Shooting Basics are always a good way to start, but there have been some specific problems with the upgrade to Mt. Lion.

    Is there a crash log when Aperture fails to open? If yes, post the crash log please- the first 50-60 lines only, plus any additional lines, so that the crashed thread will be included. 

    Or are there additional error messages in the Console window? Have you upgraded to the latest Aperture?

     

    Aperture 3.4 and later: Some third-party plug-ins are no longer compatible

     

    Regards

    Léonie

  • léonie Level 8 Level 8 (46,510 points)
    Currently Being Moderated
    Nov 2, 2012 1:29 PM (in response to SteMac)

    Your crash report is very typical for a crash caused by a missing framework in the system library.

     

      Library not loaded: /Library/Frameworks/PluginManager.framework/Versions/B/PluginManager

    The PluginManager framework is missing, and that is frequently caused by the installation of FinalCut.

     

    The safest way to reinstall the missing framework would be to reinstall your Mac OS X 10.8.2.

     

    But if you have a backup from the time before the problem occured, you could try to restore the missing framework from your TimeMachine backup, if you have one.

  • léonie Level 8 Level 8 (46,510 points)
    Currently Being Moderated
    Nov 2, 2012 1:47 PM (in response to SteMac)

    No, uninstalling Final Cut will not restore the missing framework. Only reinstalling Mac OS X will do that, if you do not have a backup. But Final Cut will be continuing to work, after you reinstall Mt. Lion.

    You will be able to use Aperture and Final Cut hand-in-hand. It is just a question, what you install first.

     

    This problem has been around for a long time, see: Aperture 3.x: Aperture unexpectedly quits if Final Cut Express 4 is installed

  • léonie Level 8 Level 8 (46,510 points)
    Currently Being Moderated
    Nov 2, 2012 1:48 PM (in response to SteMac)

    You are welcome.

    I added the link to a support article to my last post. This has been updated to include Mt. Lion:

    see: Aperture 3.x: Aperture unexpectedly quits if Final Cut Express 4 is installed

  • JordanNeil Calculating status...
    Currently Being Moderated
    Nov 2, 2012 8:16 PM (in response to SteMac)

    This is the exact problem I've been having.

    I've been going back and forth with iTunes support and finally decided to check out the Support Communities.

    Will I run into any problems downloading and installing Mountain Lion as it's already installed?

  • léonie Level 8 Level 8 (46,510 points)
    Currently Being Moderated
    Nov 2, 2012 11:41 PM (in response to JordanNeil)

    There should be no problem. Just make sure, you have a good network connection, if you reinstall using the recovery HD.

    This support article explains how to reinstall on the different Mac OS versions:

     

    Aperture 3.x: Aperture unexpectedly quits if Final Cut Express 4 is installed

  • JordanNeil Level 1 Level 1 (0 points)
    Currently Being Moderated
    Nov 3, 2012 2:25 PM (in response to SteMac)

    Thanks loenieDF and SteMac.

    Everything is back to normal.

  • léonie Level 8 Level 8 (46,510 points)
    Currently Being Moderated
    Nov 4, 2012 2:10 AM (in response to JordanNeil)

    Thanks leonieDF and SteMac.

    Everything is back to normal.

    You are welcome! Thanks for letting us know.

1 2 Previous Next

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.